/* Copyright (C) 1999 PLUS Group - University of Maryland
 *	
 * This software is provided under the terms of the GNU General Public
 * License Version 2, June 1991. See the header in KA_App.java
 * and the file License.html for details.
 */

/* The AppletButton class is better than this one, but we need to
 initialize AltProxyUrl so that the applet can load URLs from
 server's other than its host. */
package Annotator;

import java.applet.Applet;
import java.awt.*;
import UserInt.*;
import HTML.AltProxyUrl;

public class KA_Button extends Applet {

  Label  status;
  Button bStart;
  KA_App app;
  ApplType apptype;

  String webProxyHost = null;
  int    webProxyPort = 8080;

  protected static String buttonLabel = "Knowledge Annotator";
  protected static String initMsg = "Press the button to begin.";
  protected static String waitMsg = "Initializing. Please wait...";
  protected static String doneMsg = "Annotator window opened.";

  public void init() {

    status = new Label(initMsg);
    bStart = new Button(buttonLabel);
    add (status, Label.LEFT);
    add (bStart);

    // prepare code for use with a proxy web server on applet's host
    webProxyHost = getCodeBase().getHost();
    AltProxyUrl.setWebProxy(webProxyHost, webProxyPort);

    // validate();
  }

  public boolean action(Event evt, Object arg) {

    if (evt.target == bStart) {
      status.setText(waitMsg);
      KA_App app = new KA_App();
      // app.show();
      status.setText(doneMsg);
      return true;
    }
    // return super.action(evt, arg);
    return false;
  }

}

  
